Bug 91170 - "Building the Kernel" documentation improvements
"Building the Kernel" documentation improvements
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
Tammy Fox
:
Depends On:
Blocks: 89384
  Show dependency treegraph
 
Reported: 2003-05-19 14:21 EDT by Galen Seitz
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-29 23:43:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Galen Seitz 2003-05-19 14:21:16 EDT
Description of problem:
In Section 30.5 and Appendix A.2 step 11, the text says that using SCSI
or ext3 modules requires an initrd.  There is another case that is used
by default that requires an initrd.  If the root filesystem partition is
indicated in /etc/fstab with "LABEL=/", then initrd is required.  initrd
runs linuxrc, which executes the nash command 'mkrootdev /dev/root' in
order to find the root filesystem.  

The /boot directory contains a file named module-info-'kernelversion', but
there does not seem to be any documentation that describes how this
files is created.  A google search finds many people asking this question,
but no definitive answer.


Version-Release number of selected component (if applicable):
I was working from the web documentation as of 2003-5-19.
http://www.redhat.com/docs/manuals/linux/RHL-9-Manual/custom-guide/index.html

How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Tammy Fox 2003-07-29 23:43:02 EDT
The module-info-<kernel> doesn't exist in the latest RH kernel builds.

I added information about needing an initrd if labels are used in /etc/fstab. 

Thanks for the suggestions. It will be in the next version.

Note You need to log in before you can comment on or make changes to this bug.